Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1115662

Summary: Review Request: nodejs-caniuse-db - Raw browser/feature support data from caniuse.com
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-22 18:23:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1115660    

Description Ralph Bean 2014-07-02 21:03:02 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-caniuse-db.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-caniuse-db-1.0.20140628-1.fc20.src.rpm

Description:
This repo contains raw data from the caniuse.com support tables. It servers
two purposes:

Comment 1 Parag AN(पराग) 2014-07-17 16:42:01 UTC
Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

2) Update to latest upstream

Comment 3 Parag AN(पराग) 2014-07-22 06:04:41 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-caniuse-db.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
nodejs-caniuse-db.noarch: W: only-non-binary-in-usr-lib
nodejs-caniuse-db.src: W: spelling-error %description -l en_US repo -> rope, rep, reps
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

==> No issues

+ Source verified with upstream as (sha256sum)
srpm tarball     :e36c03ca3d2d21e23349936e64f0e5e2b2f942ec807d0c83b349022afa475614
upstream tarball :e36c03ca3d2d21e23349936e64f0e5e2b2f942ec807d0c83b349022afa475614

+ License "CC-BY" is valid

+ rest looks following packaging guidelines

Suggestions:
1) %description text looks incomplete. Please add the required text before package import.

2) Looks like yesterday only new tarball released. Update that also

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:40:34 UTC
New Package SCM Request
=======================
Package Name: nodejs-caniuse-db
Short Description: Raw browser/feature support data from caniuse.com
Upstream URL: https://npmjs.org/package/caniuse-db
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:54:49 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 17:39:02 UTC
nodejs-caniuse-db-1.0.20140717-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-caniuse-db-1.0.20140717-1.fc20

Comment 7 Fedora Update System 2014-07-22 17:39:14 UTC
nodejs-caniuse-db-1.0.20140717-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-caniuse-db-1.0.20140717-1.fc19

Comment 8 Fedora Update System 2014-07-22 17:39:28 UTC
nodejs-caniuse-db-1.0.20140717-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-caniuse-db-1.0.20140717-1.el6

Comment 9 Ralph Bean 2014-07-22 18:23:41 UTC
Buildroot overrides have been created.

Comment 10 Fedora Update System 2014-08-13 00:38:00 UTC
nodejs-caniuse-db-1.0.20140717-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2014-08-15 02:40:49 UTC
nodejs-caniuse-db-1.0.20140717-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-08-15 02:49:07 UTC
nodejs-caniuse-db-1.0.20140717-1.fc20 has been pushed to the Fedora 20 stable repository.